%{?nodejs_find_provides_and_requires}

%global packagename unpipe
%global enable_tests 1

Name:		nodejs-unpipe
Version:	1.0.0
Release:	3%{?dist}
Summary:	Unpipe a stream from all destinations

License:	MIT
URL:		https://github.com/stream-utils/unpipe
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(readable-stream)
%endif

Requires:	nodejs

%description
Unpipe a stream from all destinations


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Oct 13 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-2
- Add missing BuildRequires for tests

* Thu Oct  8 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
